package PureMessage::Manager::Response::Policy::VirusCheck;
use PureMessage::Manager::Utils qw (html_escape);
use PureMessage::Version qw($PREFIX);
use strict;
use PureMessage::Manager::Request;
use PureMessage::Manager::Widget;
use PureMessage::Manager::Response::Policy::Options;
use PureMessage::Manager::Lang;
use PureMessage::Manager::HTMLHelper;
use PureMessage::Policy::Virus::Config;

our  @ISA = ('PureMessage::Manager::Response::Policy::Options');

my $OPTIONS_DIR = "$PREFIX/etc/manager/Policy/VirusCheck";

sub new {
    my $proto = shift;
    my $self = $proto->SUPER::new(@_,dir=>$OPTIONS_DIR,
                                  href=>'/Policy/VirusCheck/options.cgi?l=1&b=',
                                  menu=>'');
    
}

# loads the data from the virus configuration file
sub load_backend_configuration {
  my $self = shift;
  $self->{HTMLH}->import_data($self->{AS},
    {
        fullsweep =>
        sub {
            my ($self, $name, $value) = @_;
            return 0 if $value =~ /on|yes|checked|1/i;
            return 1;
        }
    }
    );
  #$self->add_part('<PRE> ' . Dumper($as) . '</PRE>');
}


sub fixupto_fullsweep {
    my ($self, $name, $path, $result) = @_;
    my $value = $self->getMappedValue($name);
    $result->{$path} = $value =~ /on|yes|checked|1/i ? 0 : 1;
};

sub save_options {
  my $self = shift;
  my $val = $self->SUPER::save_options({ fullsweep => \&fixupto_fullsweep });
  $val;
}


sub _add_validators {
        my $self = shift;
        my $AS = shift;
        PureMessage::Config::Validator->define_core_validators($AS);
        PureMessage::Policy::Virus::Config->validate($AS);
        return;
}


sub validData {
   my $self = shift;
   my $HTMLH = $self->{HTMLH};
   $self->raise_error('error') unless
                $HTMLH->getMappedValue('option_name') =~ /^[-\w\.]+$/;
   my @error = $self->error();
   return $#error == -1;
}



1;


